BodyPartID (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class BodyPartID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.BodyPartID

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class BodyPartID
      extends ASN1Object

             bodyIdMax INTEGER ::= 4294967295

             BodyPartID ::= INTEGER(0..bodyIdMax)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `bodyIdMax`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyPartID(long id)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getID()`
    `static BodyPartID` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bodyIdMax

          public static final long bodyIdMax

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BodyPartID

          public BodyPartID(long id)

  - ### Method Detail

    - #### getInstance

          public static BodyPartID getInstance(java.lang.Object o)

    - #### getID

          public long getID()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.